Package Details: zathura-pdf-mupdf-git 0.3.0.3.gbdf48aa-1

Git Clone URL: https://aur.archlinux.org/zathura-pdf-mupdf-git.git (read-only)
Package Base: zathura-pdf-mupdf-git
Description: PDF support for zathura by using the mupdf library
Upstream URL: http://pwmt.org/projects/zathura-pdf-mupdf
Licenses: custom
Conflicts: zathura-pdf-mupdf
Provides: zathura-pdf-mupdf
Submitter: None
Maintainer: mlq
Last Packager: mlq
Votes: 20
Popularity: 0.000000
First Submitted: 2011-04-29 17:13
Last Updated: 2016-10-16 09:37

Dependencies (3)

Required by (2)

Sources (1)

Latest Comments

1 2 Next › Last »

rien333 commented on 2019-10-18 11:18

@chocolat @misc Anyone know how to deal with meson.build:23:0: ERROR: C library 'mupdfthird' not found? I've basically all possibly relevant mupdf packages installed (libmupdf, mupdf). If chocolat's PKGBUILD works, we probably should mark this package as orphaned so it can be updated in accordance with the updated PKGBUILD.

misc commented on 2019-03-17 17:38

The updated PKGBUILD now needs -Dlink-external=true for meson.

Chocolat commented on 2018-02-02 00:06

If you need an updated PKGBUILD of this AUR, I made this one https://raw.githubusercontent.com/NyanKiyoshi/zathura-pdf-mupdf/master/PKGBUILD

wangru commented on 2016-10-16 13:08

Please add jbig2dec to the dependencies

caleb commented on 2016-10-15 21:27

The missing dependency on libmupdf was noted 4 months ago. Can you please update this package? If you don't want to maintain it or want help fell free to add me as a maintainer.

ale1ster commented on 2016-06-08 21:23

Missing dependency: community/libmupdf

bandali commented on 2016-04-27 16:14

The package doesn't build anymore with mupdf >= 1.9, due to some api changes.

Please either update upstream or add a patch file like zathura-pdf-mupdf in the 'community' repo does:
https://projects.archlinux.org/svntogit/community.git/tree/trunk/mupdf-1.9.patch?h=packages/zathura-pdf-mupdf

misc commented on 2014-06-26 18:02

Comma in the depends line is illegal. (Also, the ">=1.4" makes it annoying to build with mupdf-git. Not an error ofc.)

ale1ster commented on 2014-04-19 12:18

With mupdf version 1.4-2, it doesn't build anymore, breaking with the following error:

/usr/bin/ld: cannot find -lmupdf-js-none
collect2: error: ld returned 1 exit status
Makefile:50: revipe for target pdf.so failed

With a 'pacman -Ql mupdf' it seems to be due to the fact that mupdf's js library in this version is "mujs.a".
So substituting "mupdf-js-none" for "mujs" in config.mk builds successfully.

rakyi commented on 2014-01-16 17:23

Currently missing 'openjpeg2' as dependency.